Request
curl --location 'https://openapi.gs-robot.com/openapi/v3/robots/maps/list' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{token}}' \
--data '{
"robotSn": "TEST00-0000-000-B088"
}'
Version requirement: This API is supported only on AIO software version 1.6 and later.
The public-cloud response contains
displayName,robotMapUuid, andmapVersionId;mapId,robotSn,createTimestamp, andupdateTimestampare not contractually guaranteed fields.
Response
{
"code": 0,
"data": [
{
"displayName": "Factory 1F",
"mapVersionId": "665e1753-9ad1-11f0-bfdd-27950dec2d2e",
"robotMapUuid": "140bbb83-fe48-4282-be25-c48252b9c660"
}
],
"msg": "SUCCESS"
}